%{?nodejs_find_provides_and_requires}
Name:                nodejs-object-keys
Version:             1.1.1
Release:             1
Summary:             An Object.keys replacement, in case Object.keys is not available
License:             MIT
URL:                 https://github.com/ljharb/object-keys
Source0:             https://github.com/ljharb/object-keys/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:              nodejs-object-keys-indexof.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(is) npm(tape)
%description
%{summary}.

%prep
%autosetup -p 1 -n object-keys-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-keys
cp -pr package.json index.js isArguments.js %{buildroot}%{nodejs_sitelib}/object-keys
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/object-keys

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 1.1.1-1
- Package init
